Propelus
On Demand

Verify Credentials Batch

Perform one-time verification checks on healthcare licenses, certifications, and registrations. Looking to enroll a credential in ongoing monitoring? See here.

Review the request and response bodies below to perform primary source verifications. An important note, submitted profession codes must match those in the Propelus system. To view those codes, utilize the Get Profession Status endpoint.

POST
/v2/credentials

Authorization

apiKey clientId
x-api-key<token>

In: header

x-client-id<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Description @ request body.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v2/credentials" \  -H "Content-Type: application/json" \  -d '{    "credentials": [      {        "credential": {          "number": "K5382916",          "code": "RN",          "state": "CA"        },        "name": {          "first": "Elena",          "last": "Vasquez"        }      },      {        "credential": {          "number": "T0479261",          "code": "MD",          "state": "NY"        },        "customProperties": {          "id": "myId",          "requestedBy": "adminUser"        }      }    ],    "metadata": {      "requestId": "batch-001",      "source": "internal-system"    }  }'
{
  "code": "processing",
  "detail": "string",
  "batchId": "5579c111-9c50-47e2-af92-f16d52e63189",
  "resultsUrl": "string"
}
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 429,
  "detail": "string",
  "code": "f5d62b05-370e-48be-a755-8675ca146431"
}
{
  "status": 400,
  "code": "missing_fields",
  "detail": "string",
  "errors": [
    {
      "detail": "string",
      "pointer": "string",
      "parameter": "string",
      "header": "string",
      "code": "string"
    }
  ]
}
{
  "status": 500,
  "detail": "string",
  "code": "unexpected_error"
}